#include <stdio.h>
#include <string>
#include <iostream>

#ifdef FLASHPRO430
#include "../MSPPrg-Dll.h"
#endif

#ifdef GANGPRO430
#include "../GangPro430-Dll.h"
#endif

using namespace std;

int main(int argc, char* argv[])
{
  int st;

  string input = "*# *";

  cout << "F_OpenInstancesAndFPAs : " << dec <<   F_OpenInstancesAndFPAs((char *)input.c_str()) << endl;
  cout << "F_Get_FPA_SN : " << F_Get_FPA_SN(1) << endl;
  cout << "F_Set_FPA_index : " << dec << F_Set_FPA_index (0) << endl;
  cout << "F_Initialization : " << dec << F_Initialization() << endl;
  cout << "API Version " << hex << (0xFFF & F_DLLTypeVer()) << endl;
  cout << "Multi Version " << hex << (0xFFF & F_Multi_DLLTypeVer()) << endl;
  F_Set_FPA_index(1);

  char msg[1000];
  for(int i=0; i<=100; i++)
  {
    cout << "Step: " << dec << i << " Result: ";
    cout.flush();
    F_XS_Current_zeroing( i, msg );
    cout << msg << endl;
  } 
  
  
  return 0;
}
