#include <stdio.h>
#include <string>
#include <iostream>

#ifdef FLASHPRO430
#include "../MSPPrg-Dll.h"
#endif

#ifdef GANGPRO430
#include "../GangPro430-Dll.h"
#endif

using namespace std;

int main(int argc, char* argv[])
{
  int st;

  string input = "*# *";
  if(argc < 3)
  {
    cout<< "Usage: <config> <code>" << endl;
    return 1;
  }

  F_Trace_ON();
  cout << "F_OpenInstancesAndFPAs : " << dec <<   F_OpenInstancesAndFPAs((char *)input.c_str()) << endl;
  cout << "F_Get_FPA_SN : " << F_Get_FPA_SN(1) << endl;
  cout << "F_Set_FPA_index : " << dec << F_Set_FPA_index (0) << endl;
  cout << "F_Initialization : " << dec << F_Initialization() << endl;
  cout << "API Version " << hex << (0xFFF & F_DLLTypeVer()) << endl;
  cout << "Multi Version " << hex << (0xFFF & F_Multi_DLLTypeVer()) << endl;
  F_Set_FPA_index(1);
  cout << "F_ConfigFileLoad : " << dec << F_ConfigFileLoad( argv[1] ) << endl;
  cout << "F_ReadCodeFile : " << dec << F_ReadCodeFile( FILE_TI_FORMAT, argv[2] ) << endl;
  cout << "F_AutoProgram : " << dec << F_AutoProgram(0) << endl;
  F_Trace_OFF();
  cout << F_Report_Message() << endl;
  
  
  return 0;
}
